3

How do I install a newer version of Apache2 if apt-get does not automatically find it?

view full story
linux-howto

http://serverfault.com – I've installed apache2 on my ubuntu machine using the apt-get package manager. It installed apache 2.2.16. I'd like to upgrade to the latest (or at least a newer version) of apache2 but apt-get upgrade and update don't seem to find a newer version. When I type apt-get install -s apache2 It tells me apache2 is already the newest version. Do I need to download this package manually? Is there a reason to not do this? Here is the version of Ubuntu I am running: DISTRIB_ID=Ubuntu DISTRIB_RELEASE=10.10 DISTRIB_CODENAME=maverick DISTRIB_DESCRIPTION="Ubuntu 10.10" (HowTos)